[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[RHSA-2015:1808-01] Important: rubygem-openshift-origin-console security update



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: rubygem-openshift-origin-console security update
Advisory ID:       RHSA-2015:1808-01
Product:           Red Hat OpenShift Enterprise
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2015-1808.html
Issue date:        2015-09-16
CVE Names:         CVE-2015-5274 
=====================================================================

1. Summary:

Updated rubygem-openshift-origin-console packages that fix one 
security issue are now available for Red Hat OpenShift Enterprise 2.2.

Red Hat Product Security has rated this update as having Important 
security impact. A Common Vulnerability Scoring System (CVSS) base 
score, which gives a detailed severity rating, is available from the 
CVE link in the references section.

2. Relevant releases/architectures:

RHOSE Infrastructure 2.2 - noarch

3. Description:

OpenShift Enterprise by Red Hat is the company's cloud computing
Platform-as-a-Service (PaaS) solution designed for on-premise or 
private cloud deployments.

A command injection flaw was found in the rubygem-openshift-origin-
console. A remote, authenticated user permitted to send requests to 
the Broker could execute arbitrary commands with elevated privileges 
on the Red Hat OpenShift server. (CVE-2015-5274)

All rubygem-openshift-origin-console users are advised to upgrade to this
updated package, which contains a backported patch to correct this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/site/articles/11258

5. Package List:

RHOSE Infrastructure 2.2:

Source:
rubygem-openshift-origin-console-1.34.1.3-1.el6op.src.rpm

noarch:
rubygem-openshift-origin-console-1.34.1.3-1.el6op.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

6. References:

https://access.redhat.com/security/cve/CVE-2015-5274
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/site/articles/11258

7. Contact:

The Red Hat security contact is <secalert redhat com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFV+b3fXlSAg2UNWIIRAteSAJ9ND0xOHtkR2KTDw4V2zl4huXJ2LgCgs6J4
yHOO8nglmjMgm3qsdbj0UB0=
=YlnH
-----END PGP SIGNATURE-----



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]